{------------------------------------------------------------}
{-	 FlashPac Pascal Library (Dos2 Unit) - V3.5	    -}
{-	(c) Copyright 1986-1991 - All Rights Reserved	    -}
{-                     SimpleSoft Inc                       -}
{-                     1209 Poplar St                       -}
{-                 La Crescent, MN 55947                    -}
{------------------------------------------------------------}

Unit FPDos2;
Interface
{$B-,F+}
{$IFNDEF VER40}
{D-}
{$ENDIF}

{--------------------------------------------------------------------}

Procedure dDiskReset;
Function  dSelectDisk( Drive : Integer ) : Integer;
Function  dGetCurrentDisk : Integer;
Procedure dSetDta( Segment, Offset : Word );

Function  dGetDriveData(     Drive      : Integer;
                         Var Sectors    : Word;
                         Var MediaSeg   : Word;
                         Var MediaOfs   : Word;
                         Var SectorSize : Word;
                         Var Clusters   : Word ) : Boolean;

Procedure dSetInt( Int, Segment, Offset : Word );
Procedure dCreateNewPsp( Segment : Word );

Procedure dGetDate( Var Month   : Integer;
                    Var Day     : Integer;
                    Var Year    : Integer;
                    Var DayOfWk : Integer );

Function dSetDate( Month   : Integer;
                   Day     : Integer;
                   Year    : Integer ) : Boolean;

Procedure dGetTime( Var Hour       : Integer;
                    Var Minute     : Integer;
                    Var Seconds    : Integer;
                    Var Hundredths : Integer );

Procedure dSetTime( Hour       : Integer;
                    Minute     : Integer;
                    Seconds    : Integer;
                    Hundredths : Integer );

Procedure dSetVerifyFlag( VerifyOpt : Integer );
Procedure dGetDta( Var Segment, Offset : Word );

Procedure dGetVersion( Var Major  : Integer;
                       Var Minor  : Integer );

Function  dGetBreakStatus : Boolean;
Procedure dSetBreakFlag( Flag : Boolean );

Procedure dGetBusyFlag( Var Segment, Offset : Word );

Procedure dGetIntVec(     dInt : Word;
                      Var dSeg : Word;
                      Var dOfs : Word );


Function dGetDrvAllocInfo(    Drive         : Word;
                          Var Sectors       : Word;
                          Var AvailClusters : Word;
                          Var BytesInSector : Word;
                          Var TotalClusters : Word ) : Boolean;

Function dMkDir( Path : String ) : Integer;
Function dRmDir( Path : String ) : Integer;
Function dChDir( Path : String ) : Integer;

Function dCreateFile(     FileSpec : String;
                          Attr     : Integer;
                      Var Handle   : Integer ) : Integer;

Function dOpenFile(     FileSpec : String;
                        Mode     : Integer;
                    Var Handle   : Integer ) : Integer;

Function dCloseFile( Handle : Integer ) : Integer;

Function dReadFile(     Handle    : Integer;
                        NBytes    : Word;
                    Var Buffer      ;
                    Var BytesRead : Word ) : Integer;

Function dWriteFile(     Handle       : Integer;
                         NBytes       : Word;
                     Var Buffer         ;
                     Var BytesWritten : Word ) : Integer;

Function dDelFile( FileSpec : String ) : Integer;

{--------------------------------------------------------------------}
{-                                                                  -}
{--------------------------------------------------------------------}

Implementation

Const
   Copyright1 = 'FlashPac Dos Lib (Pascal) - V3.5';
   Copyright2 = '(c) Copyright 1986-1991 - All Rights Reserved';
   Copyright3 = 'SimpleSoft, Inc.';
   Copyright4 = '1209 Poplar St';
   Copyright5 = 'La Crescent, MN 55947';
   Copyright6 = '(507) 895-8237';

{$L dos2\d210D00d }  Procedure dDiskReset;               External;
{$L dos2\d210E00d }  Function  dSelectDisk;              External;
{$L dos2\d211900d }  Function  dGetCurrentDisk;          External;
{$L dos2\d211A00d }  Procedure dSetDta;                  External;
{$L dos2\d211C00d }  Function  dGetDriveData;            External;
{$L dos2\d2125xxd }  Procedure dSetInt;                  External;
{$L dos2\d212600d }  Procedure dCreateNewPsp;            External;
{$L dos2\d212A00d }  Procedure dGetDate;                 External;
{$L dos2\d212B00d }  Function  dSetDate;                 External;
{$L dos2\d212C00d }  Procedure dGetTime;                 External;
{$L dos2\d212D00d }  Procedure dSetTime;                 External;
{$L dos2\d212E00d }  Procedure dSetVerifyFlag;           External;
{$L dos2\d212F00d }  Procedure dGetDta;                  External;
{$L dos2\d213000d }  Procedure dGetVersion;              External;
{$L dos2\d213300d }  Function  dGetBreakStatus;          External;
{$L dos2\d213301d }  Procedure dSetBreakFlag;            External;
{$L dos2\d213400u }  Procedure dGetBusyFlag;             External;
{$L dos2\d2135xxd }  Procedure dGetIntVec;               External;
{$L dos2\d213600d }  Function  dGetDrvAllocInfo;         External;
{$L dos2\d213900d }  Function  dMkDir;                   External;
{$L dos2\d213A00d }  Function  dRmDir;                   External;
{$L dos2\d213B00d }  Function  dChDir;                   External;
{$L dos2\d213C00d }  Function  dCreateFile;              External;
{$L dos2\d213D00d }  Function  dOpenFile;                External;
{$L dos2\d213E00d }  Function  dCloseFile;               External;
{$L dos2\d213F00d }  Function  dReadFile;                External;
{$L dos2\d214000d }  Function  dWriteFile;               External;
{$L dos2\d214100d }  Function  dDelFile;                 External;

{--------------------------------------------------------------------}

Begin
end.

