{------------------------------------------------------------}
{-        FlashPac Pascal Library (Kbd Unit) - V3.5         -}
{-      (c) Copyright 1986-1991 - All Rights Reserved       -}
{-                     SimpleSoft Inc                       -}
{-                     1209 Poplar St                       -}
{-                 La Crescent, MN 55947                    -}
{------------------------------------------------------------}

Unit FPKbd;
Interface
{$B-,F+}
{$IFNDEF VER40}
{D-}
{$ENDIF}

Type
   Str2 = String[2];

{--------------------------------------------------------------------}
{-                                                                  -}
{--------------------------------------------------------------------}

   Procedure BiosKbdClr;
   Procedure BiosKbdRead(Var St : Str2);

   Function  BiosKbdGetElmt : Integer;
   Function  BiosKbdHit     : Boolean;
   Function  BiosKbdStat    : Integer;

   Procedure DosKbdClr;
   Procedure DosKbdRead(Var St : Str2);

   Function  DosKbdGetElmt : Integer;
   Function  DosKbdHit     : Boolean;

{--------------------------------------------------------------------}
{-                                                                  -}
{--------------------------------------------------------------------}

Implementation

Const
   Copyright1 = 'FlashPac Pascal Library (Kbd Unit) - V3.5';
   Copyright2 = '(c) Copyright 1986-1991 - All Rights Reserved';
   Copyright3 = 'SimpleSoft, Inc.';
   Copyright4 = '1209 Poplar St';
   Copyright5 = 'La Crescent, MN 55947';

   {$L kbd\BKbdClr }
   {$L kbd\BKbdElmt}
   {$L kbd\BKbdHit }
   {$L kbd\BKbdRead}
   {$L kbd\BKbdStat}

   {$L kbd\DKbdClr }
   {$L kbd\DKbdElmt}
   {$L kbd\DKbdHit }
   {$L kbd\DKbdRead}

{--------------------------------------------------------------------}
{-                                                                  -}
{--------------------------------------------------------------------}

   Procedure BiosKbdClr;       External;
   Function  BiosKbdGetElmt;   External;
   Function  BiosKbdHit;       External;
   Procedure BiosKbdRead;      External;
   Function  BiosKbdStat;      External;

   Procedure DosKbdClr;        External;
   Function  DosKbdGetElmt;    External;
   Function  DosKbdHit;        External;
   Procedure DosKbdRead;       External;

{--------------------------------------------------------------------}
{-                                                                  -}
{--------------------------------------------------------------------}

Begin
end.



