{------------------------------------------------------------}
{-       FlashPac Pascal Library (Mouse Unit) - V3.5        -}
{-      (c) Copyright 1986-1991 - All Rights Reserved       -}
{-                     SimpleSoft Inc                       -}
{-                     1209 Poplar St                       -}
{-                 La Crescent, MN 55947                    -}
{------------------------------------------------------------}

Unit FPMouse;
Interface
{$B-,F+}
{$IFNDEF VER40}
{D-}
{$ENDIF}
Const
   MTextMode : Word = 1;

Var
   NEvents   : Word;

{--------------------------------------------------------------------}

{ Function  0 } Function  MResetMouse( VAR NBut : Integer ) : Integer;
{ Function  1 } Procedure MShowCursor;
{ Function  2 } Procedure MHideCursor;
{ Funciton  3 } Procedure MGetPos( VAR ButStat,X,Y : Integer );
{ Function  4 } Procedure MSetPos( X,Y : Integer );
{ Function  5 } Function  MButtonPress(    Button       : Integer;
                                       VAR ButPress,X,Y : Integer ) : Integer;
{ Function  6 } Function  MButtonRel(    Button     : Integer;
                                     VAR ButRel,X,Y : Integer ) : Integer;
{ Function  7 } Procedure MSetXRange( Min,Max : Integer );
{ Function  8 } Procedure MSetYRange( Min,Max : Integer );
{ Function  9 } Procedure MGraphCursor( XHotSpot, YHotSpot,
                                        CMaskSeg, CMaskOfs : Integer );
{ Function 10 } Procedure MTextCursor( CType,SMask,CMask : Integer );
{ Function 11 } Procedure MGetSpeed( VAR HorCnt,VerCnt : Integer );
{ Function 12 } Procedure MInitEventHandler( EMask : Word );
{ Function 15 } Procedure MSetSpeed( HorCnt,VerCnt : Integer );

                Procedure MPollQue( VAR Event, ButStat, x, y : Integer );
                Procedure MRetQue( VAR Event, ButStat, x, y : Integer );
                Procedure MSetEvent( Event, ButStat, x, y : Integer );

{--------------------------------------------------------------------}

Implementation
Const
   MaxEvents : Word = 20;

   Copyright1 = 'FlashPac Pascal Library (Mouse Unit) - V3.5';
   Copyright2 = '(c) Copyright 1986-1991 - All Rights Reserved';
   Copyright3 = 'SimpleSoft, Inc.';
   Copyright4 = '1209 Poplar St';
   Copyright5 = 'La Crescent, MN 55947';

Type
   TMouseEvent = Record
                    MEvent,MButStat : Byte;
                    Mx,My           : Integer;
                 End;
Var
   CEvent    : Word;
   FEvent    : Word;
   MEvents   : Array[1..20] of TMouseEvent;

{ Function  0   }   {$L mouse\mresetm  }
{ Function  1   }   {$L mouse\mshowcur }
{ Function  2   }   {$L mouse\mhidecur }
{ Function  3   }   {$L mouse\mgetpos  }
{ Function  4   }   {$L mouse\msetpos  }
{ Function  5,6 }   {$L mouse\mbutinfo }
{ Function  7,8 }   {$L mouse\msetxy   }
{ Function  9   }   {$L mouse\mgraphcu }
{ Function  10  }   {$L mouse\mtextcur }
{ Function  11  }   {$L mouse\mgspeed  }
{ Function  12  }   {$L mouse\minithan }
{ Function  15  }   {$L mouse\msspeed  }
                    {$L mouse\mpollque }
                    {$L mouse\mretque  }
                    {$L mouse\msetevnt }

{--------------------------------------------------------------------}

{ Function  0 } Function  MResetMouse;       External;
{ Function  1 } Procedure MShowCursor;       External;
{ Function  2 } Procedure MHideCursor;       External;
{ Funciton  3 } Procedure MGetPos;           External;
{ Function  4 } Procedure MSetPos;           External;
{ Function  5 } Function  MButtonPress;      External;
{ Function  6 } Function  MButtonRel;        External;
{ Function  7 } Procedure MSetXRange;        External;
{ Function  8 } Procedure MSetYRange;        External;
{ Function  9 } Procedure MGraphCursor;      External;
{ Function 10 } Procedure MTextCursor;       External;
{ Function 11 } Procedure MGetSpeed;         External;
{ Function 12 } Procedure MInitEventHandler; External;
{ Function 15 } Procedure MSetSpeed;         External;
                Procedure MPollQue;          External;
                Procedure MRetQue;           External;
                Procedure MSetEvent;         External;
                Procedure MHandler;          External;

{--------------------------------------------------------------------}

Begin
end.

